void GetDescription(char d[])
{
  strcpy(d,"Menu 3x3 (maybe errors with some skins)");
}

int GetPriority()
{
  return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}

void DeleteBlock(char block[])
{
   int val, i, num;
   val = GetValueAfter(block);
   num = GetLineNum(block);
   RemoveLineByNum(num);
   for (i = 0; i < val; i++) RemoveLineByNum(num);
}

void PatchSKI()
{
   
   DeleteBlock("0 42 ");
   DeleteBlock("0 43 ");
   DeleteBlock("0 61 ");
   DeleteBlock("0 62 ");
   DeleteBlock("0 63 ");
   DeleteBlock("0 64 ");

   AddLine("0 42 9");
   AddLine("1 17 39 63 85");
   AddLine("1 64 39 110 85");
   AddLine("1 111 39 157 85");
   AddLine("1 17 86 63 132");
   AddLine("1 64 86 110 132");
   AddLine("1 111 86 157 132");
   AddLine("1 17 133 63 179");
   AddLine("1 64 133 110 179");
   AddLine("1 111 133 157 179");

   AddLine("0 43 9");
   AddLine("1 17 39 63 85");
   AddLine("1 64 39 110 85");
   AddLine("1 111 39 157 85");
   AddLine("1 17 86 63 132");
   AddLine("1 64 86 110 132");
   AddLine("1 111 86 157 132");
   AddLine("1 17 133 63 179");
   AddLine("1 64 133 110 179");
   AddLine("1 111 133 157 179");
   
   AddLine("0 61 9");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 0");

   AddLine("0 62 9");
   AddLine("2 8");
   AddLine("2 0");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");

   AddLine("0 63 9");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 0");

   AddLine("0 64 9");
   AddLine("2 8");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 0");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
}

